summaryrefslogtreecommitdiff
path: root/test/util
diff options
context:
space:
mode:
authorAndrew Gregory <andrew.gregory.8@gmail.com>2013-11-05 08:50:44 -0500
committerAllan McRae <allan@archlinux.org>2013-11-15 11:02:27 +1000
commitea6aeef8bae01d934cb4aab6d915e0e3e8276df1 (patch)
tree8bde92c911271127efc2fdf20f986e94d3814f96 /test/util
parent0da98ec6bac17b4f56b67a6f5b2fa24896671a9f (diff)
Makefile.am: fix typo in LOG_DRIVER variable
Self-executing tests were not being run through the tap log driver. This caused `make check` to ignore discrepancies between the expected number of tests and the actual number of tests. Also, fix some uncommented output from test scripts that could confuse TAP parsers. Signed-off-by: Andrew Gregory <andrew.gregory.8@gmail.com> Signed-off-by: Allan McRae <allan@archlinux.org>
Diffstat (limited to 'test/util')
-rwxr-xr-xtest/util/pacsorttest.sh4
-rwxr-xr-xtest/util/vercmptest.sh2
2 files changed, 3 insertions, 3 deletions
diff --git a/test/util/pacsorttest.sh b/test/util/pacsorttest.sh
index ac16c459..ef24a766 100755
--- a/test/util/pacsorttest.sh
+++ b/test/util/pacsorttest.sh
@@ -25,7 +25,7 @@ total=23
run=0
failure=0
-if ! type -p "$bin"; then
+if ! type -p "$bin" &>/dev/null; then
echo "Bail out! pacsort binary ($bin) could not be located"
exit 1
fi
@@ -47,7 +47,7 @@ runtest() {
fi
}
-echo "Running pacsort tests..."
+echo "# Running pacsort tests..."
echo "1..$total"
diff --git a/test/util/vercmptest.sh b/test/util/vercmptest.sh
index a7fd8517..2d74b57f 100755
--- a/test/util/vercmptest.sh
+++ b/test/util/vercmptest.sh
@@ -25,7 +25,7 @@ run=0
failure=0
# use first arg as our binary if specified
-if ! type -p "$bin"; then
+if ! type -p "$bin" &>/dev/null; then
echo "Bail out! vercmp binary ($bin) could not be located"
exit 1
fi